com.sun.jna.platform.win32

## Class ShellAPI.SHFILEOPSTRUCT

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.ShellAPI.SHFILEOPSTRUCT

- Enclosing interface:
    ShellAPI

      public static class ShellAPI.SHFILEOPSTRUCT
      extends Structure

  Contains information that the SHFileOperation function uses to perform file operations.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `fAnyOperationsAborted` When the function returns, this member contains TRUE if any file operations were aborted before they were completed; otherwise, FALSE.
    `short` | `fFlags` Flags that control the file operation.
    `static java.util.List<java.lang.String>` | `FIELDS`
    `WinNT.HANDLE` | `hwnd` A window handle to the dialog box to display information about the status of the file operation.
    `java.lang.String` | `lpszProgressTitle` A pointer to the title of a progress dialog box.
    `java.lang.String` | `pFrom` A pointer to one or more source file names, double null-terminated.
    `Pointer` | `pNameMappings` When the function returns, this member contains a handle to a name mapping object that contains the old and new names of the renamed files.
    `java.lang.String` | `pTo` A pointer to the destination file or directory name.
    `int` | `wFunc` An FO_* value that indicates which operation to perform.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShellAPI.SHFILEOPSTRUCT()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `encodePaths(java.lang.String[] paths)` Use this to encode `pFrom/pTo` paths.
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### hwnd

          public WinNT.HANDLE hwnd

      A window handle to the dialog box to display information about the status of the file operation.

    - #### wFunc

          public int wFunc

      An FO_* value that indicates which operation to perform.

    - #### pFrom

          public java.lang.String pFrom

      A pointer to one or more source file names, double null-terminated.

    - #### pTo

          public java.lang.String pTo

      A pointer to the destination file or directory name.

    - #### fFlags

          public short fFlags

      Flags that control the file operation.

    - #### fAnyOperationsAborted

          public boolean fAnyOperationsAborted

      When the function returns, this member contains TRUE if any file operations were aborted before they were completed; otherwise, FALSE. An operation can be manually aborted by the user through UI or it can be silently aborted by the system if the FOF_NOERRORUI or FOF_NOCONFIRMATION flags were set.

    - #### pNameMappings

          public Pointer pNameMappings

      When the function returns, this member contains a handle to a name mapping object that contains the old and new names of the renamed files. This member is used only if the fFlags member includes the FOF_WANTMAPPINGHANDLE flag.

    - #### lpszProgressTitle

          public java.lang.String lpszProgressTitle

      A pointer to the title of a progress dialog box. This is a null-terminated string.

  - ### Constructor Detail

    - #### ShellAPI.SHFILEOPSTRUCT

          public ShellAPI.SHFILEOPSTRUCT()

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

    - #### encodePaths

          public java.lang.String encodePaths(java.lang.String[] paths)

      Use this to encode `pFrom/pTo` paths.
      Parameters:
        `paths` - Paths to encode
      Returns:
        Encoded paths

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.